Domain checking code doubling up domain in hostnames
Status: Closed   

Priority: Normal   

Assignee: Frank Sweetser   

Category: Host creation   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In 0.1-6, foreman began checking to ensure that hostnames which have the domain column set to a non-null value end in the

matching domain value.  However, the code that does the check is doing case-sensitive matching, which can cause hosts to have

doubled up hostnames.  For example, "host.domain.com" might become "host.domain.com.DOMAIN.COM", which of course means

that future check-ins, reports, etc don't get associated with that host.  Instead, an empty new record for "host.domain.com" appears

to get created (from the reports, perhaps?) which needs to be deleted after fixing the original record.

Trivial patch that fixes the issue attached.

Associated revisions

Revision 99f00455 - 03/07/2011 02:47 AM - Frank Sweetser

fixes #708 - Perform case insensitive match when checking if hostname includes domain

Revision 7736608a - 02/05/2022 07:18 PM - Ben Roberts

Support multiple envs_dir directories

This module adds support for the puppet environmentpath setting to be configured

using multiple directories. An example use-case is where r10k is in use to

deploy some but not all environments, to avoid unmanaged environments being

purged by r10k. Directories (whether one, or multiple) are passed as an

Array of Stdlib::Absolutepath values.

This is a breaking change, as a single string will no longer be accepted.

- Each listed environmentpath directory will be created and managed by puppet

- The default post-receive hook script uses the first listed directory in

`envs_dir` to create initial environments to maintain backward compatibility.

Tests are included to ensure that all listed directories are created and

managed.

Fixes #708

History

#1 - 03/07/2011 04:02 AM - Frank Sweetser

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 99f00455409d978ee3b63e0e6f185c7f3ecf300d.

#2 - 03/07/2011 04:13 AM - Ohad Levy

- Category set to Host creation

- Status changed from Ready For Testing to Closed

- Assignee set to Frank Sweetser
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/99f00455409d978ee3b63e0e6f185c7f3ecf300d


- Target version set to 0.2

Files

0001-Perform-case-insensitive-match-when-checking-if-host.patch 815 Bytes 03/05/2011 Frank Sweetser
